Workspaces / REST API
Create workspace
Create a workspace for the authenticated personal-token owner after the same subscription checks as the UI. Supports first-run accounts with no existing workspace.
POST /api/v1/workspaces/manageDeterministic operationParameters
workspaceIdOptional · string- Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
nameRequired · string- See the input schema for this field.
settingsOptional · object- See the input schema for this field.
planOptional · string- See the input schema for this field.founder · starter · growth · scale · dfy
curl -X POST "https://app.pipeline.help/api/v1/workspaces/manage" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"example"}'Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string",
"minLength": 1,
"description": "Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client."
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 255
},
"settings": {
"type": "object",
"additionalProperties": true
},
"plan": {
"type": "string",
"enum": [
"founder",
"starter",
"growth",
"scale",
"dfy"
]
}
},
"required": [
"name"
]
}